diff -ru vorbis.orig/ao/Makefile.am vorbis/ao/Makefile.am
--- vorbis.orig/ao/Makefile.am	Sat Nov 18 06:59:40 2000
+++ vorbis/ao/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign dist-zip
+AUTOMAKE_OPTIONS = foreign dist-zip no-dependencies
 
 SUBDIRS = src include doc debian
 
Only in vorbis/ao: Makefile.in
Only in vorbis/ao: aclocal.m4
Only in vorbis/ao: config.guess
Only in vorbis/ao: config.sub
Only in vorbis/ao: configure
diff -ru vorbis.orig/ao/configure.in vorbis/ao/configure.in
--- vorbis.orig/ao/configure.in	Sat Nov 18 05:12:43 2000
+++ vorbis/ao/configure.in	Tue Nov 21 19:30:44 2000
@@ -146,4 +146,4 @@
 
 CFLAGS="$CFLAGS -DAO_PLUGIN_PATH=\\\"$plugindir\\\""
 
-AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile debian/Makefile)
+AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/irix/Makefile debian/Makefile)
diff -ru vorbis.orig/ao/debian/Makefile.am vorbis/ao/debian/Makefile.am
--- vorbis.orig/ao/debian/Makefile.am	Sat Nov 18 05:26:23 2000
+++ vorbis/ao/debian/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_DIST = README.Debian changelog control copyright libao0-dev.dirs\
 	libao0-dev.docs libao0-dev.files libao0-dev.postinst libao0-dev.postrm\
Only in vorbis/ao/debian: Makefile.in
diff -ru vorbis.orig/ao/doc/Makefile.am vorbis/ao/doc/Makefile.am
--- vorbis.orig/ao/doc/Makefile.am	Sat Nov 18 06:08:46 2000
+++ vorbis/ao/doc/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this with automake to create Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)
 
Only in vorbis/ao/doc: Makefile.in
diff -ru vorbis.orig/ao/include/Makefile.am vorbis/ao/include/Makefile.am
--- vorbis.orig/ao/include/Makefile.am	Sun Sep  3 11:56:05 2000
+++ vorbis/ao/include/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,5 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 SUBDIRS = ao
Only in vorbis/ao/include: Makefile.in
diff -ru vorbis.orig/ao/include/ao/Makefile.am vorbis/ao/include/ao/Makefile.am
--- vorbis.orig/ao/include/ao/Makefile.am	Sun Sep  3 11:56:05 2000
+++ vorbis/ao/include/ao/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 includedir = $(prefix)/include/ao
 
Only in vorbis/ao/include/ao: Makefile.in
Only in vorbis/ao: install-sh
Only in vorbis/ao: ltconfig
Only in vorbis/ao: ltmain.sh
Only in vorbis/ao: missing
Only in vorbis/ao: mkinstalldirs
diff -ru vorbis.orig/ao/src/Makefile.am vorbis/ao/src/Makefile.am
--- vorbis.orig/ao/src/Makefile.am	Mon Oct 30 01:46:41 2000
+++ vorbis/ao/src/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 SUBDIRS = plugins
 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include
Only in vorbis/ao/src: Makefile.in
Only in vorbis/ao/src: audio_out.B
diff -ru vorbis.orig/ao/src/audio_out.c vorbis/ao/src/audio_out.c
--- vorbis.orig/ao/src/audio_out.c	Sat Nov 18 07:36:58 2000
+++ vorbis/ao/src/audio_out.c	Tue Nov 21 21:34:21 2000
@@ -85,6 +85,7 @@
 		dt->functions->close = dlsym(dt->handle, "plugin_close");
 		if (dlerror()) { free(dt->functions); free(dt); return NULL; }
 	} else {
+                fprintf(stderr, "dlopen failed %s: %s\n", plugin_file, dlerror());
 		return NULL;
 	}
 
@@ -137,7 +138,8 @@
 			}
 			
 			closedir(plugindir);
-		}
+		} else
+                    fprintf(stderr, "open dir failed\n");
 	}
 }
 
diff -ru vorbis.orig/ao/src/plugins/Makefile.am vorbis/ao/src/plugins/Makefile.am
--- vorbis.orig/ao/src/plugins/Makefile.am	Mon Oct 30 01:46:41 2000
+++ vorbis/ao/src/plugins/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,4 +1,4 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
-SUBDIRS = oss esd alsa # solaris irix
+AUTOMAKE_OPTIONS = foreign no-dependencies
+SUBDIRS = oss esd alsa irix # solaris
Only in vorbis/ao/src/plugins: Makefile.in
diff -ru vorbis.orig/ao/src/plugins/alsa/Makefile.am vorbis/ao/src/plugins/alsa/Makefile.am
--- vorbis.orig/ao/src/plugins/alsa/Makefile.am	Sat Nov  4 06:29:30 2000
+++ vorbis/ao/src/plugins/alsa/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 if HAVE_ALSA
 
Only in vorbis/ao/src/plugins/alsa: Makefile.in
diff -ru vorbis.orig/ao/src/plugins/esd/Makefile.am vorbis/ao/src/plugins/esd/Makefile.am
--- vorbis.orig/ao/src/plugins/esd/Makefile.am	Mon Oct 30 01:46:42 2000
+++ vorbis/ao/src/plugins/esd/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 if HAVE_ESD
 
Only in vorbis/ao/src/plugins/esd: Makefile.in
Only in vorbis/ao/src/plugins/irix: Makefile.am
Only in vorbis/ao/src/plugins/irix: Makefile.in
diff -ru vorbis.orig/ao/src/plugins/irix/ao_irix.c vorbis/ao/src/plugins/irix/ao_irix.c
--- vorbis.orig/ao/src/plugins/irix/ao_irix.c	Mon Oct 30 05:38:49 2000
+++ vorbis/ao/src/plugins/irix/ao_irix.c	Tue Nov 21 22:26:04 2000
@@ -5,6 +5,7 @@
  *      Original Copyright (C) Aaron Holtzman - May 1999
  *      Port to IRIX by Jim Miller, SGI - Nov 1999
  *      Modifications Copyright (C) Stan Seibert - July 2000
+ *      Modifications by Marcelo Magallon - November 2000
  *
  *  This file is part of libao, a cross-platform library.  See
  *  README for a history of this source code.
@@ -38,10 +39,9 @@
 
 
 typedef struct ao_irix_internal_s {
-	static ALport alport = 0;
-	static ALconfig alconfig = 0;
-	static int bytesPerWord = 1;
-	static int nChannels = 2;
+	ALport alport;
+	ALconfig alconfig;
+	int bytesPerFrame;
 } ao_irix_internal_t;
 
 
@@ -50,7 +50,7 @@
 	"Irix audio output ",
 	"irix",
 	"Jim Miller <???@sgi.com>",
-	"WARNING: This driver is untested!"
+	"Digital Media Audio library output"
 };
 
 
@@ -69,12 +69,13 @@
 		return NULL;
 	
 
-	state->nChannels = channels;
+	state->bytesPerFrame = channels;
 
 
 	state->alconfig = alNewConfig();
 
-	if (alSetQueueSize(state->alconfig, BUFFER_SIZE) < 0) {
+        fprintf(stderr, "rate: %d\n", rate); 
+	if (alSetQueueSize(state->alconfig, rate) < 0) {
 		fprintf(stderr, "alSetQueueSize failed: %s\n", 
 			alGetErrorString(oserror()));
 		return 0;
@@ -98,7 +99,7 @@
 		return 0;
 	}
 
-	state->alport = alOpenPort("AC3Decode", "w", 0);
+	state->alport = alOpenPort("AC3Decode", "w", state->alconfig);
 
 	if (!state->alport) {
 		fprintf(stderr, "alOpenPort failed: %s\n", 
@@ -108,17 +109,17 @@
 
 	switch (bits) {
 	case 8:         
-		state->bytesPerWord = 1;
+		/* state->bytesPerFrame *= 1; */
 		wsize = AL_SAMPLE_8;
 		break;
 		
 	case 16: 
-		state->bytesPerWord = 2;
+		state->bytesPerFrame *= 2;
 		wsize = AL_SAMPLE_16;
 		break;
 		
 	case 24:
-		state->bytesPerWord = 4;
+		state->bytesPerFrame *= 4;
 		wsize = AL_SAMPLE_24;
 		break;
 		
@@ -150,7 +151,8 @@
 
 void plugin_play(ao_internal_t *state, void* output_samples, uint_32 num_bytes)
 {
-	alWriteFrames(((ao_irix_internal_t *)state)->alport, output_samples, num_bytes); 
+        ao_irix_internal_t *s = (ao_irix_internal_t *)state;
+        alWriteFrames(s->alport, output_samples, num_bytes/s->bytesPerFrame); 
 }
 
 void plugin_close(ao_internal_t *state)
diff -ru vorbis.orig/ao/src/plugins/oss/Makefile.am vorbis/ao/src/plugins/oss/Makefile.am
--- vorbis.orig/ao/src/plugins/oss/Makefile.am	Mon Oct 30 01:46:43 2000
+++ vorbis/ao/src/plugins/oss/Makefile.am	Tue Nov 21 20:01:48 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 if HAVE_OSS
 
Only in vorbis/ao/src/plugins/oss: Makefile.in
diff -ru vorbis.orig/ogg/Makefile.am vorbis/ogg/Makefile.am
--- vorbis.orig/ogg/Makefile.am	Sat Nov 18 05:16:52 2000
+++ vorbis/ogg/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign dist-zip
+AUTOMAKE_OPTIONS = foreign dist-zip no-dependencies
 
 SUBDIRS = src include doc win32 debian
 
Only in vorbis/ogg: Makefile.in
Only in vorbis/ogg: aclocal.m4
Only in vorbis/ogg: config.guess
Only in vorbis/ogg: config.sub
Only in vorbis/ogg: configure
diff -ru vorbis.orig/ogg/debian/Makefile.am vorbis/ogg/debian/Makefile.am
--- vorbis.orig/ogg/debian/Makefile.am	Sat Nov 18 05:16:52 2000
+++ vorbis/ogg/debian/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_DIST = README.Debian changelog control copyright libogg0-dev.dirs\
 	libogg0-dev.docs libogg0-dev.files libogg0-dev.postinst\
Only in vorbis/ogg/debian: Makefile.in
diff -ru vorbis.orig/ogg/doc/Makefile.am vorbis/ogg/doc/Makefile.am
--- vorbis.orig/ogg/doc/Makefile.am	Sat Nov 18 06:14:36 2000
+++ vorbis/ogg/doc/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,6 +1,6 @@
 ## Process this with automake to create Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)
 
Only in vorbis/ogg/doc: Makefile.in
diff -ru vorbis.orig/ogg/include/Makefile.am vorbis/ogg/include/Makefile.am
--- vorbis.orig/ogg/include/Makefile.am	Sun Sep  3 07:54:27 2000
+++ vorbis/ogg/include/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,5 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 SUBDIRS = ogg
Only in vorbis/ogg/include: Makefile.in
diff -ru vorbis.orig/ogg/include/ogg/Makefile.am vorbis/ogg/include/ogg/Makefile.am
--- vorbis.orig/ogg/include/ogg/Makefile.am	Fri Oct  6 09:32:30 2000
+++ vorbis/ogg/include/ogg/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 includedir = $(prefix)/include/ogg
 
Only in vorbis/ogg/include/ogg: Makefile.in
Only in vorbis/ogg: install-sh
Only in vorbis/ogg: ltconfig
Only in vorbis/ogg: ltmain.sh
Only in vorbis/ogg: missing
Only in vorbis/ogg: mkinstalldirs
Only in vorbis/ogg/src: .deps
diff -ru vorbis.orig/ogg/src/Makefile.am vorbis/ogg/src/Makefile.am
--- vorbis.orig/ogg/src/Makefile.am	Thu Nov  2 21:11:33 2000
+++ vorbis/ogg/src/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 INCLUDES = -I../include
 
Only in vorbis/ogg/src: Makefile.in
Only in vorbis/ogg/src: framing.B
diff -ru vorbis.orig/ogg/win32/Makefile.am vorbis/ogg/win32/Makefile.am
--- vorbis.orig/ogg/win32/Makefile.am	Sat Nov 18 05:25:56 2000
+++ vorbis/ogg/win32/Makefile.am	Tue Nov 21 20:15:11 2000
@@ -1,6 +1,6 @@
 ## Process this with automake to create Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 
 EXTRA_DIST = ogg.def ogg_dynamic.dsp ogg_static.dsp\
Only in vorbis/ogg/win32: Makefile.in
diff -ru vorbis.orig/vorbis/Makefile.am vorbis/vorbis/Makefile.am
--- vorbis.orig/vorbis/Makefile.am	Sat Nov 18 06:02:34 2000
+++ vorbis/vorbis/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign dist-zip
+AUTOMAKE_OPTIONS = foreign dist-zip no-dependencies
 
 SUBDIRS = lib include doc examples win32 debian vq
 
Only in vorbis/vorbis: Makefile.in
Only in vorbis/vorbis: aclocal.m4
Only in vorbis/vorbis: config.guess
Only in vorbis/vorbis: config.sub
Only in vorbis/vorbis: configure
diff -ru vorbis.orig/vorbis/debian/Makefile.am vorbis/vorbis/debian/Makefile.am
--- vorbis.orig/vorbis/debian/Makefile.am	Sat Nov 18 05:24:29 2000
+++ vorbis/vorbis/debian/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_DIST = README.Debian changelog control copyright libvorbis0-dev.dirs\
 	libvorbis0-dev.docs libvorbis0-dev.examples libvorbis0-dev.files\
Only in vorbis/vorbis/debian: Makefile.in
diff -ru vorbis.orig/vorbis/doc/Makefile.am vorbis/vorbis/doc/Makefile.am
--- vorbis.orig/vorbis/doc/Makefile.am	Wed Nov  8 10:48:58 2000
+++ vorbis/vorbis/doc/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this with automake to create Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 SUBDIRS = vorbisfile vorbisenc
 
Only in vorbis/vorbis/doc: Makefile.in
diff -ru vorbis.orig/vorbis/doc/vorbisenc/Makefile.am vorbis/vorbis/doc/vorbisenc/Makefile.am
--- vorbis.orig/vorbis/doc/vorbisenc/Makefile.am	Wed Nov  8 10:48:58 2000
+++ vorbis/vorbis/doc/vorbisenc/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/vorbisenc
 
Only in vorbis/vorbis/doc/vorbisenc: Makefile.in
diff -ru vorbis.orig/vorbis/doc/vorbisfile/Makefile.am vorbis/vorbis/doc/vorbisfile/Makefile.am
--- vorbis.orig/vorbis/doc/vorbisfile/Makefile.am	Wed Nov  8 10:48:58 2000
+++ vorbis/vorbis/doc/vorbisfile/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/vorbisfile
 
Only in vorbis/vorbis/doc/vorbisfile: Makefile.in
diff -ru vorbis.orig/vorbis/examples/Makefile.am vorbis/vorbis/examples/Makefile.am
--- vorbis.orig/vorbis/examples/Makefile.am	Wed Nov  8 08:13:57 2000
+++ vorbis/vorbis/examples/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 INCLUDES = -I$(top_srcdir)/include @OGG_CFLAGS@
 
Only in vorbis/vorbis/examples: Makefile.in
diff -ru vorbis.orig/vorbis/include/Makefile.am vorbis/vorbis/include/Makefile.am
--- vorbis.orig/vorbis/include/Makefile.am	Thu Oct 12 05:12:40 2000
+++ vorbis/vorbis/include/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,5 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 SUBDIRS = vorbis
Only in vorbis/vorbis/include: Makefile.in
diff -ru vorbis.orig/vorbis/include/vorbis/Makefile.am vorbis/vorbis/include/vorbis/Makefile.am
--- vorbis.orig/vorbis/include/vorbis/Makefile.am	Mon Nov  6 01:06:55 2000
+++ vorbis/vorbis/include/vorbis/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 includedir = $(prefix)/include/vorbis
 
Only in vorbis/vorbis/include/vorbis: Makefile.in
Only in vorbis/vorbis: install-sh
diff -ru vorbis.orig/vorbis/lib/Makefile.am vorbis/vorbis/lib/Makefile.am
--- vorbis.orig/vorbis/lib/Makefile.am	Sat Nov 18 00:09:10 2000
+++ vorbis/vorbis/lib/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 SUBDIRS = modes books
 
Only in vorbis/vorbis/lib: Makefile.in
diff -ru vorbis.orig/vorbis/lib/books/Makefile.am vorbis/vorbis/lib/books/Makefile.am
--- vorbis.orig/vorbis/lib/books/Makefile.am	Sat Nov 18 00:09:10 2000
+++ vorbis/vorbis/lib/books/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_DIST = lsp12_0.vqh lsp30_0.vqh res0_128_1024_1.vqh res0_128_1024_2.vqh\
 	res0_128_1024_3.vqh res0_128_1024_4.vqh res0_128_1024_5.vqh\
Only in vorbis/vorbis/lib/books: Makefile.in
diff -ru vorbis.orig/vorbis/lib/modes/Makefile.am vorbis/vorbis/lib/modes/Makefile.am
--- vorbis.orig/vorbis/lib/modes/Makefile.am	Wed Nov  8 07:31:51 2000
+++ vorbis/vorbis/lib/modes/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,5 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_DIST = mode_AA.h mode_A.h mode_B.h mode_C.h mode_D.h mode_E.h modes.h
Only in vorbis/vorbis/lib/modes: Makefile.in
Only in vorbis/vorbis: ltconfig
Only in vorbis/vorbis: ltmain.sh
Only in vorbis/vorbis: missing
Only in vorbis/vorbis: mkinstalldirs
diff -ru vorbis.orig/vorbis/vq/Makefile.am vorbis/vorbis/vq/Makefile.am
--- vorbis.orig/vorbis/vq/Makefile.am	Sat Nov 18 06:02:35 2000
+++ vorbis/vorbis/vq/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 INCLUDES = -I../lib -I$(top_srcdir)/include @OGG_CFLAGS@
 
Only in vorbis/vorbis/vq: Makefile.in
diff -ru vorbis.orig/vorbis/win32/Makefile.am vorbis/vorbis/win32/Makefile.am
--- vorbis.orig/vorbis/win32/Makefile.am	Sat Nov 18 05:24:30 2000
+++ vorbis/vorbis/win32/Makefile.am	Tue Nov 21 20:16:18 2000
@@ -1,6 +1,6 @@
 ## Process this with automake to create Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 
 EXTRA_DIST = vorbis.def vorbis_dynamic.dsp vorbis_static.dsp\
Only in vorbis/vorbis/win32: Makefile.in
diff -ru vorbis.orig/vorbis-tools/Makefile.am vorbis/vorbis-tools/Makefile.am
--- vorbis.orig/vorbis-tools/Makefile.am	Sat Nov 18 05:30:01 2000
+++ vorbis/vorbis-tools/Makefile.am	Tue Nov 21 20:22:19 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign dist-zip
+AUTOMAKE_OPTIONS = foreign dist-zip no-dependencies
 
 SUBDIRS = oggenc ogg123 vorbiscomment debian
 
Only in vorbis/vorbis-tools: Makefile.in
Only in vorbis/vorbis-tools: aclocal.m4
Only in vorbis/vorbis-tools: autogen.sh~
Only in vorbis/vorbis-tools: config.guess
Only in vorbis/vorbis-tools: config.sub
Only in vorbis/vorbis-tools: configure
diff -ru vorbis.orig/vorbis-tools/debian/Makefile.am vorbis/vorbis-tools/debian/Makefile.am
--- vorbis.orig/vorbis-tools/debian/Makefile.am	Sat Nov 18 05:30:02 2000
+++ vorbis/vorbis-tools/debian/Makefile.am	Tue Nov 21 20:22:19 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_DIST = README.Debian changelog control copyright rules vorbis-tools.dirs\
 	vorbis-tools.docs vorbis-tools.examples vorbis-tools.files\
Only in vorbis/vorbis-tools/debian: Makefile.in
Only in vorbis/vorbis-tools: install-sh
Only in vorbis/vorbis-tools: ltconfig
Only in vorbis/vorbis-tools: ltmain.sh
Only in vorbis/vorbis-tools: missing
Only in vorbis/vorbis-tools: mkinstalldirs
diff -ru vorbis.orig/vorbis-tools/ogg123/Makefile.am vorbis/vorbis-tools/ogg123/Makefile.am
--- vorbis.orig/vorbis-tools/ogg123/Makefile.am	Sat Nov 18 06:36:32 2000
+++ vorbis/vorbis-tools/ogg123/Makefile.am	Tue Nov 21 20:58:20 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 bin_PROGRAMS = ogg123
 docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)
@@ -10,7 +10,7 @@
 
 INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@ @AO_CFLAGS@
 
-ogg123_LDFLAGS = @OGG_LIBS@ @VORBIS_LIBS@ @VORBISFILE_LIBS@ @AO_LIBS@
+ogg123_LDADD = @OGG_LIBS@ @VORBIS_LIBS@ @VORBISFILE_LIBS@ @AO_LIBS@
 
 ogg123_SOURCES = ogg123.c
 
Only in vorbis/vorbis-tools/ogg123: Makefile.in
diff -ru vorbis.orig/vorbis-tools/ogg123/ogg123.c vorbis/vorbis-tools/ogg123/ogg123.c
--- vorbis.orig/vorbis-tools/ogg123/ogg123.c	Sat Nov  4 07:23:21 2000
+++ vorbis/vorbis-tools/ogg123/ogg123.c	Tue Nov 21 20:58:55 2000
@@ -33,6 +33,7 @@
 #include <netdb.h>
 #include <netinet/in.h>
 #include <errno.h>
+#include <limits.h>
 #include <math.h>
 #include <getopt.h> /* !!! */
 #include <fcntl.h> /* !!! */
@@ -80,6 +81,7 @@
 {
 -1, -1, 0, 0};
 
+#ifdef __GLIBC__
 struct option long_options[] = {
   {"help", no_argument, 0, 'h'},
   {"version", no_argument, 0, 'V'},
@@ -91,6 +93,7 @@
   {"shuffle", no_argument, 0, 'z'},
   {0, 0, 0, 0}
 };
+#endif
 
 void play_file (void);		/* This really needs to go in a header file. */
 FILE *http_open (char *server, int port, char *path);
@@ -214,8 +217,12 @@
 
   temp_driver_id = get_default_device();
 
+#ifdef __GLIBC__
   while (-1 != (ret = getopt_long (argc, argv, "d:hqk:o:vV:z",
 				   long_options, &option_index)))
+#else
+  while (-1 != (ret = getopt (argc, argv, "d:hqk:o:vV:z")))
+#endif
     {
       switch (ret)
 	{
diff -ru vorbis.orig/vorbis-tools/oggenc/Makefile.am vorbis/vorbis-tools/oggenc/Makefile.am
--- vorbis.orig/vorbis-tools/oggenc/Makefile.am	Sat Nov 18 05:30:02 2000
+++ vorbis/vorbis-tools/oggenc/Makefile.am	Tue Nov 21 20:33:24 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 SUBDIRS = man
 
@@ -8,7 +8,7 @@
 
 INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@
 
-oggenc_LDFLAGS = @OGG_LIBS@ @VORBIS_LIBS@ @VORBISENC_LIBS@
+oggenc_LDADD = @OGG_LIBS@ @VORBIS_LIBS@ @VORBISENC_LIBS@
 oggenc_SOURCES = oggenc.c audio.c encode.c oe_unix.c getopt.c getopt1.c\
 		oe_win32.c\
 		audio.h encode.h platform.h getopt.h
Only in vorbis/vorbis-tools/oggenc: Makefile.in
diff -ru vorbis.orig/vorbis-tools/oggenc/audio.c vorbis/vorbis-tools/oggenc/audio.c
--- vorbis.orig/vorbis-tools/oggenc/audio.c	Mon Nov  6 02:45:23 2000
+++ vorbis/vorbis-tools/oggenc/audio.c	Tue Nov 21 20:29:50 2000
@@ -15,6 +15,7 @@
 #include <string.h>
 #include <sys/types.h>
 #include <malloc.h>
+#include <alloca.h>
 #include "audio.h"
 
 #define WAV_HEADER_SIZE 44
diff -ru vorbis.orig/vorbis-tools/oggenc/man/Makefile.am vorbis/vorbis-tools/oggenc/man/Makefile.am
--- vorbis.orig/vorbis-tools/oggenc/man/Makefile.am	Sat Nov 18 06:36:32 2000
+++ vorbis/vorbis-tools/oggenc/man/Makefile.am	Tue Nov 21 20:22:19 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 mandir = $(datadir)/man
 man_MANS = oggenc.1
Only in vorbis/vorbis-tools/oggenc/man: Makefile.in
diff -ru vorbis.orig/vorbis-tools/oggenc/oggenc.c vorbis/vorbis-tools/oggenc/oggenc.c
--- vorbis.orig/vorbis-tools/oggenc/oggenc.c	Tue Nov  7 12:56:26 2000
+++ vorbis/vorbis-tools/oggenc/oggenc.c	Tue Nov 21 20:28:20 2000
@@ -203,7 +203,7 @@
 				char *start, *end;
 
 				start = infiles[i];
-				end = rindex(infiles[i], '.');
+				end = strrchr(infiles[i], '.');
 				end = end?end:(start + strlen(infiles[i])+1);
 			
 				out_fn = malloc(end - start + 5);
diff -ru vorbis.orig/vorbis-tools/vorbiscomment/Makefile.am vorbis/vorbis-tools/vorbiscomment/Makefile.am
--- vorbis.orig/vorbis-tools/vorbiscomment/Makefile.am	Sat Nov 18 04:53:03 2000
+++ vorbis/vorbis-tools/vorbiscomment/Makefile.am	Tue Nov 21 20:22:19 2000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dependencies
 
 EXTRA_PROGRAMS = vorbiscomment
 
Only in vorbis/vorbis-tools/vorbiscomment: Makefile.in
